#include <stm32f10x.h>
#include "pwm.h"
//#define PWM 

void USERIO_Init(void) //User GPIO initialization
{
	GPIO_InitTypeDef GPIO_InitStruct;
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA|RCC_APB2Periph_GPIOC,ENABLE);

	GPIO_InitStruct.GPIO_Mode=GPIO_Mode_Out_PP;
	GPIO_InitStruct.GPIO_Pin=GPIO_Pin_3|GPIO_Pin_4|GPIO_Pin_5|GPIO_Pin_6|GPIO_Pin_7;
	GPIO_InitStruct.GPIO_Speed=GPIO_Speed_50MHz;

	GPIO_Init(GPIOA,&GPIO_InitStruct);

	GPIO_InitStruct.GPIO_Pin=GPIO_Pin_4;
	GPIO_Init(GPIOC,&GPIO_InitStruct);

	GPIO_ResetBits(GPIOA,GPIO_Pin_3|GPIO_Pin_4|GPIO_Pin_5|GPIO_Pin_6);
}


int main(void)
{
	u32 i=0xffffff;
	SystemInit();
	USERIO_Init();
	#ifdef PWM
		TIM3_PWM_Init(899,0); //Frequency of PWM is 80KHz//=Freq=72000000/(899+1)=80KHz
	#endif
  	while(1)
	{
		GPIO_ResetBits(GPIOA,GPIO_Pin_3|GPIO_Pin_4|GPIO_Pin_5|GPIO_Pin_6);
		GPIO_SetBits(GPIOA,GPIO_Pin_3|GPIO_Pin_4);
		GPIO_ResetBits(GPIOA,GPIO_Pin_5|GPIO_Pin_6);
		while(--i);
		i=0xffffff;
		GPIO_ResetBits(GPIOA,GPIO_Pin_3|GPIO_Pin_4|GPIO_Pin_5|GPIO_Pin_6);
		GPIO_SetBits(GPIOA,GPIO_Pin_5|GPIO_Pin_6);
		GPIO_ResetBits(GPIOA,GPIO_Pin_3|GPIO_Pin_4);
		while(--i);
		i=0xffffff;
	}

}

